Update a User

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Zerion Identity MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp"
  }
}

Close
PUT /users/{user_id}

Path parameters

  • user_id string Required

    id of the user

application/json

Body

  • firstName string
  • lastName string
  • email string
  • [xxx] status number

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id string Required

      the updated user id

PUT /users/{user_id}
curl \
 --request PUT 'https://identity.zerionsoftware.com/v1/users/self' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "firstName": "Calvin",
  "lastName": "Jonhson"
}'
Request example
{
  "firstName": "Calvin",
  "lastName": "Jonhson"
}
Response examples (200)
{
  "id": "5e72b386ac44d1414e59188b"
}